#include <stdio.h>
#include <windows.h>

/*
 * Get the numeric value of a hexadecimal character.
 */
u_char ScanHexNibble(u_char ch)
{
	return ch > '9' ? ch - 55 : ch - 48;
}

/*
 * Get the numeric value of two hexadecimal characters.
 */
u_char ScanHexByte(const u_char *str)
{
	return (ScanHexNibble(str[0]) << 4) + ScanHexNibble(str[1]);
}

/*
 * Get the numeric value of four hexadecimal characters.
 */
u_short ScanHexWord(const u_char *str)
{
	return (ScanHexByte(str) << 8) + ScanHexByte(str + 2);
}


int ReadIntel(char *name, u_char *mem)
{
    int rc = 0;
    u_char line[128];
    register char *cp;
    u_char len;
    u_char csum;
    u_long addr;
    u_char byte;
    FILE *fp;

    if((fp = fopen(name, "r")) == NULL) {
        fprintf(stderr, "Can't read %s\n", name);
        return -1;
    }
    while(fgets(line, sizeof(line), fp)) {

        cp = line;

        /*
         * Skip bad lines.
         */
        if(*cp != ':') 
            continue;
        cp++;
        strupr(cp);

        csum = len = ScanHexByte(cp);
        cp += 2;
    
        /* 
         * Load address 
         */
        addr = ScanHexWord(cp); 
        csum += (u_char)(addr >> 8) + (u_char)addr;
        cp += 4;
        csum += byte = ScanHexByte(cp);
        cp += 2; 

        /* 
         * Upload/Verify bytes 
         */
        while(len--) {
            csum += mem[addr++] = ScanHexByte(cp);
            cp += 2; 
        }
    
        /* 
         * Read Check Sum and give a report 
         */
        csum += byte = ScanHexByte(cp);
        if(csum) {
            fprintf(stderr, "Bad chksum\n");
            rc = -1;
            break;
        }
    }
    fclose(fp);
    return rc;
}
